<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEnterpriseFeatureAccessConfigurationRes StructType
 * @subpackage Structs
 */
class GetEnterpriseFeatureAccessConfigurationRes extends APIResponse
{
    /**
     * The return
     * @var _return
     */
    public $return;
    /**
     * Constructor method for GetEnterpriseFeatureAccessConfigurationRes
     * @uses GetEnterpriseFeatureAccessConfigurationRes::setReturn()
     * @param _return $return
     */
    public function __construct(_return $return = null)
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return _return|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * Set return value
     * @param _return $return
     * @return GetEnterpriseFeatureAccessConfigurationRes
     */
    public function setReturn(_return $return = null)
    {
        $this->return = $return;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return GetEnterpriseFeatureAccessConfigurationRes
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
